Relationship Depth
Get relationship depth for a contact
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/agents/string/contacts/string/depth"{
"$schema": "/api/v1/schemas/DepthBody.json",
"agent_id": "string",
"at_risk": true,
"band": "string",
"computed_at": "2019-08-24T14:15:22Z",
"contact_name": "string",
"depth": 0.1,
"last_interaction": "2019-08-24T14:15:22Z",
"trend": 0.1,
"user_id": "string"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get depth distribution for an agent
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/agents/string/depth-distribution"{
"$schema": "/api/v1/schemas/DepthDistributionBody.json",
"at_risk": 0,
"avg_depth": 0.1,
"bands": {
"property1": 0,
"property2": 0
},
"declining": 0,
"deepened": 0,
"total": 0,
"trend": [
{
"avg_depth": 0.1,
"count": 0,
"date": "string"
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get at-risk contacts with recommended actions
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Query Parameters
Max items (default 10, max 50)
int64Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/projects/string/at-risk"{
"$schema": "/api/v1/schemas/AtRiskContactsBody.json",
"contacts": [
{
"agent_id": "string",
"band": "string",
"contact_name": "string",
"days_since": 0,
"depth": 0.1,
"last_interaction": "2019-08-24T14:15:22Z",
"recommended_action": "string",
"trend": 0.1,
"user_id": "string"
}
],
"total": 0
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get cohort retention data for a project
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/projects/string/cohorts"{
"$schema": "/api/v1/schemas/CohortsBody.json",
"cohorts": [
{
"cohort_label": "string",
"entry_week": "string",
"points": [
{
"avg_depth": 0.1,
"count": 0,
"week": 0
}
],
"size": 0
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List all depth scores for a project
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Query Parameters
Max items (default 100, max 500)
int64Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/projects/string/depth-scores"{
"$schema": "/api/v1/schemas/ListProjectDepthScoresResponse.json",
"scores": [
{
"$schema": "/api/v1/schemas/DepthBody.json",
"agent_id": "string",
"at_risk": true,
"band": "string",
"computed_at": "2019-08-24T14:15:22Z",
"contact_name": "string",
"depth": 0.1,
"last_interaction": "2019-08-24T14:15:22Z",
"trend": 0.1,
"user_id": "string"
}
],
"total": 0
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get the live fleet activity feed for a project
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Query Parameters
Max items (default 20, max 100)
int64Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/projects/string/fleet-activity"{
"$schema": "/api/v1/schemas/FleetActivityBody.json",
"items": [
{
"action": "string",
"agent_id": "string",
"agent_name": "string",
"contact_name": "string",
"id": "string",
"summary": "string",
"timestamp": "2019-08-24T14:15:22Z"
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get the moat — aggregate relationship depth for a project
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/projects/string/moat"{
"$schema": "/api/v1/schemas/DepthDistributionBody.json",
"at_risk": 0,
"avg_depth": 0.1,
"bands": {
"property1": 0,
"property2": 0
},
"declining": 0,
"deepened": 0,
"total": 0,
"trend": [
{
"avg_depth": 0.1,
"count": 0,
"date": "string"
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get the composite Moat Index for a project
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/projects/string/moat-index"{
"$schema": "/api/v1/schemas/MoatIndexBody.json",
"comparison": {
"last_month": 0.1,
"last_quarter": 0.1
},
"components": {
"breadth": 0.1,
"depth_quality": 0.1,
"risk": 0.1,
"trend": 0.1
},
"moat_index": 0.1,
"moat_index_delta": 0.1,
"moat_index_prev": 0.1
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get the real pipeline flow for a project
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/projects/string/pipeline-flow"{
"$schema": "/api/v1/schemas/PipelineFlowBody.json",
"stages": [
{
"count": 0,
"stage": "string"
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}